#ifndef LTLMEM_H
#define LTLMEM_H

#include <stdlib.h>

void print_number_of_open_mallocs(const char *msg);
void init_mallocs_counter();
#ifdef __cplusplus
extern "C" {
#endif
void *ltl_malloc(size_t size);
#ifdef __cplusplus
}
#endif
void ltl_free(void *ptr);
void *ltl_realloc(void *ptr, size_t size);
void ltl_check_memory(void);

#endif
