#ifndef HASH_H_INCLUDED
#define HASH_H_INCLUDED

#include "sha.h"

#define TRIE_HASHLEN SHA_DIGESTSIZE
#ifndef TRIE_ADDITIONAL_DATA
#define TRIE_ADDITIONAL_DATA 1
#endif
#define TRIE_DATALEN (TRIE_HASHLEN + TRIE_ADDITIONAL_DATA)

void hash(char *input, int len, char *digest);
void print_readable_digest(unsigned char *key, char *dest);

#endif
