
:- module(probvm_mappings,[probvm_binary_in_boolean_type/3]).

:- use_module(probsrc(kernel_mappings)).

:- use_module(probsrc(module_information)).
:- module_info(group,plugin_vm).
:- module_info(description,'Experimental VM plugin: Mappings from byte-code to kernel calls.').
:- module_info(revision,'$Rev$').
:- module_info(lastchanged,'$LastChangedDate$').

probvm_binary_in_boolean_type(BSyntax,ProbvmSyntax,Module:KernelPred) :-
    kernel_mappings:binary_in_boolean_type(BSyntax,Module:KernelPred),%,_T1,_T2,_T3),
    % except the interval, this is encoded separately with <=
    BSyntax \= interval,
    map_boolean_type_name(BSyntax,ProbvmSyntax).
map_boolean_type_name(relations,is_relation) :- !.
map_boolean_type_name(B,VM) :- atom_concat('is_',B,VM).
